9. As a result, the API returns a newly created user session.
Learn more about QuickBlox session token in the Application vs User session token section.Application sessionTo create an application session you need to pass the required parameters only.User sessionTo create a user session you need to pass extra parameters together with the required parameters. Take a look at five types of user authentication and their respective extra parameters below:
Login and password. user[login] and user[password].
Email and password. user[email] and user[password].
Social. provider=facebook, keys[token], and keys[secret] .
Firebase phone number. provider=firebase_phone, firebase_phone[project_id], and firebase_phone[access_token].
Custom identity provider. user[login] and user[password]. Learn more about custom identity provider authentication from our guide.
Unix Timestamp. It should not differ from the time provided by NTP more than 60 minutes. We suggest you synchronize time on your devices with NTP service.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"QuickBlox","colors":{"primary":"#3978fc","light":"#3978fc","dark":"#3978fc"},"logo":{"light":"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/light.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=2ca77d61090cf3e9a7512358a3ad30b1","dark":"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/dark.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=a8aaf148bf91f6898d03d0d3184114a9"},"favicon":"https://mintcdn.com/quickblox/blsYQNp-sI61UYaV/favicon.png?fit=max\u0026auto=format\u0026n=blsYQNp-sI61UYaV\u0026q=85\u0026s=62ec978bc2dc633ef042e7636c089254","navbar":{"links":[{"href":"https://quickblox.github.io/q-consultation/","label":"Q-Consultation"},{"href":"https://help.quickblox.com/","label":"Support"},{"href":"https://quickblox.com/","label":"quickblox.com"}],"primary":{"type":"button","label":"Dashboard","href":"https://admin.quickblox.com/"}},"footer":{"socials":{"x":"https://x.com/QuickBlox","facebook":"https://www.facebook.com/quickblox","linkedin":"https://www.linkedin.com/company/quickblox","instagram":"https://www.instagram.com/quickblox_official_","medium":"https://medium.com/quickblox-engineering","github":"https://github.com/QuickBlox","discord":"https://bit.ly/quickblox-dev-community"}},"integrations":{"ga4":{"measurementId":"G-CJ7RE2GB2V"}},"contextual":{"options":["chatgpt","claude","copy"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"SDK Downloads","icon":"webhook","href":"https://github.com/QuickBlox"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/ZWZ3WpYZ9q"},{"anchor":"Blog","icon":"newspaper","href":"https://quickblox.com/blog/"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"quickblox","hasAudioNarration":false,"actualSubdomain":"quickblox","customDomains":["docs.quickblox.com"],"gitSource":{"type":"github","owner":"quickblox","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a8dc27ca93e48aebcc61c6f","collectionId":"6f899a07-3988-43cd-ac6e-7ba934508cca","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a8dc27ca93e48aebcc61c6f"},"feedback":{"issues":true,"edits":false,"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6a8dc27ca93e48aebcc61c6f","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Server API","count":105},{"language":"default","tag":"REST API","count":105},{"language":"default","tag":"SDKs","count":98},{"language":"default","tag":"Chat","count":57},{"language":"default","tag":"Android","count":26},{"language":"default","tag":"iOS","count":25},{"language":"default","tag":"UIKits","count":23},{"language":"default","tag":"Custom Objects","count":22},{"language":"default","tag":"AI Agent","count":21},{"language":"default","tag":"Flutter","count":20}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":".icon-group{display:flex;gap:10px;flex-wrap:wrap}.custom-icon{width:24px;height:24px}.inline-link{display:inline-flex;align-items:center;color:#007bff;margin-top:10px;text-decoration:none;transition:color .3s ease,text-decoration .3s ease}.inline-link:hover{color:#030f1c}.centered-image,.centered-video{display:block;margin-left:auto;margin-right:auto}.centered-image{width:500px;height:auto}.centered-video{max-width:100%}.inline-link Icon{margin-right:5px}.icon-group .icon{width:20px;height:20px;vertical-align:middle}.icon-group .icon,.icon-group a{display:inline-block}.icon-group img,.icon-group svg{width:20px;height:20px;cursor:pointer;pointer-events:none}.card{box-shadow:0 4px 6px rgba(0,0,0,.1);transition:transform .3s ease,box-shadow .3s ease;background-color:#fff;border-radius:8px;padding:16px}.card:hover{transform:translateY(-5px);box-shadow:0 8px 16px rgba(0,0,0,.4)}.button{display:inline-block;padding:10px 20px;text-align:center;background-color:#007bff;color:#fff;border-radius:5px;text-decoration:none;white-space:nowrap}.button:hover{background-color:#0056b3}.warning{background-color:red!important}"}],"page":{"pagePath":"reference/create-session","slug":"/reference/create-session","pageMetadata":{"title":"Create Session","api":"POST https://api.quickblox.com/session.json","contentType":"application/json","description":"Creates an application or user session.","playground":"simple","href":"/reference/create-session"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates an application or user session.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,br:`br`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Expandable,Heading,ParamField,ResponseField,Step,Steps}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Step)_missingMdxReference(`Step`,true);if(!Steps)_missingMdxReference(`Steps`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`4`,id:`recipes`,children:`Recipes`}),`\n`,_jsxs(AccordionGroup,{children:[_jsx(Accordion,{title:`Create application session`,id:`create-application-session`,children:_jsxs(Steps,{children:[_jsxs(Step,{title:`1. Set your Application ID`,children:[_jsxs(_components.p,{children:[`Get the `,_jsx(_components.code,{children:`application_id`}),` from the `,_jsx(_components.strong,{children:`Dashboard => YOUR_APP => Overview section`}),`.`]}),_jsx(CodeBlock,{filename:``,highlight:`[4]`,numberOfLines:`7`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`2. Set your Authorization Key`,children:[_jsxs(_components.p,{children:[`Get the `,_jsx(_components.code,{children:`auth_key`}),` from the `,_jsx(_components.strong,{children:`Dashboard => YOUR_APP => Overview section`}),`.`]}),_jsx(CodeBlock,{filename:``,highlight:`[5]`,numberOfLines:`8`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`3. Set a timestamp`,children:[_jsxs(_components.p,{children:[`Get a `,_jsx(_components.code,{children:`timestamp`}),` value in the Unix Timestamp.`]}),_jsx(CodeBlock,{filename:``,highlight:`[6]`,numberOfLines:`9`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"timestamp\":\"1567349756\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`4. Set a nonce`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`nonce`}),` value which is a unique random number that can’t be sent twice.`]}),_jsx(CodeBlock,{filename:``,highlight:`[7]`,numberOfLines:`10`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`10`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"timestamp\":\"1567349756\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"nonce\":\"7334\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`5. Set a signature`,children:[_jsxs(_components.p,{children:[`Generate a `,_jsx(_components.code,{children:`signature`}),` value. Use `,_jsx(_components.a,{href:`/reference/authentication#signature-generation`,children:`this guide`}),` to learn how to generate a signature.`]}),_jsx(CodeBlock,{filename:``,highlight:`[8]`,numberOfLines:`11`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`11`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"timestamp\":\"1567349756\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"nonce\":\"7334\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"signature\":\"e6e603c251a569e70a2f27a8c71b5017e81e05d5\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Step,{title:`6. As a result, the API returns a newly created application session.`})]})}),_jsx(Accordion,{title:`Create user session`,id:`create-user-session`,children:_jsxs(Steps,{children:[_jsxs(Step,{title:`1. Set your Application ID`,children:[_jsxs(_components.p,{children:[`Get the `,_jsx(_components.code,{children:`application_id`}),` from the `,_jsx(_components.strong,{children:`Dashboard => YOUR_APP => Overview section`}),`.`]}),_jsx(CodeBlock,{filename:``,highlight:`[4]`,numberOfLines:`7`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`2. Set your Authorization Key`,children:[_jsxs(_components.p,{children:[`Get the `,_jsx(_components.code,{children:`auth_key`}),` from the `,_jsx(_components.strong,{children:`Dashboard => YOUR_APP => Overview section`}),`.`]}),_jsx(CodeBlock,{filename:``,highlight:`[5]`,numberOfLines:`8`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"auth_key\":\"gqneCwWtz8dqF4F\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`3. Set a timestamp`,children:[_jsxs(_components.p,{children:[`Get a `,_jsx(_components.code,{children:`timestamp`}),` value in the Unix Timestamp.`]}),_jsx(CodeBlock,{filename:``,highlight:`[6]`,numberOfLines:`9`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"timestamp\":\"1567349717\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`4. Set a nonce`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`nonce`}),` value which is a unique random number that can’t be sent twice.`]}),_jsx(CodeBlock,{filename:``,highlight:`[7]`,numberOfLines:`10`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`10`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"timestamp\":\"1567349756\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"nonce\":\"7497\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`5. Set a signature`,children:[_jsxs(_components.p,{children:[`Generate a `,_jsx(_components.code,{children:`signature`}),` value. Use `,_jsx(_components.a,{href:`/reference/authentication#signature-generation`,children:`this guide`}),` to learn how to generate a signature.`]}),_jsx(CodeBlock,{filename:``,highlight:`[8]`,numberOfLines:`11`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`11`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"timestamp\":\"1567349756\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"nonce\":\"7334\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"signature\":\"1924a2c84b96347d66b6b2c8489a3cf1d35a8d74\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`6. Set a login of the user`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`login`}),` value to identify a user on the server.`]}),_jsx(CodeBlock,{filename:``,highlight:`[10]`,numberOfLines:`14`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`14`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"timestamp\":\"1567349756\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"nonce\":\"7334\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"signature\":\"1924a2c84b96347d66b6b2c8489a3cf1d35a8d74\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"user\":{ `})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"login\":\"Mike\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`7. Set a password of the user`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`password`}),` value to identify a user on the server.`]}),_jsx(CodeBlock,{filename:``,highlight:`[11]`,numberOfLines:`15`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`15`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"timestamp\":\"1567349756\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"nonce\":\"7334\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"signature\":\"1924a2c84b96347d66b6b2c8489a3cf1d35a8d74\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"user\":{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"login\":\"Mike\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"password\":\"!mike123\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Step,{title:`8. As a result, the API returns a newly created user session.`})]})}),_jsx(Accordion,{title:`Create session with Firebase phone number`,id:`create-session-with-firebase-phone-number`,children:_jsxs(Steps,{children:[_jsxs(Step,{title:`1. Set your Application ID`,children:[_jsxs(_components.p,{children:[`Get the `,_jsx(_components.code,{children:`application_id`}),` from the `,_jsx(_components.strong,{children:`Dashboard => YOUR_APP => Overview section`}),`.`]}),_jsx(CodeBlock,{filename:``,highlight:`[4]`,numberOfLines:`7`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"application_id\":\"71116\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`2. Set your Authorization Key`,children:[_jsxs(_components.p,{children:[`Get the `,_jsx(_components.code,{children:`auth_key`}),` from the `,_jsx(_components.strong,{children:`Dashboard => YOUR_APP => Overview section`}),`.`]}),_jsx(CodeBlock,{filename:``,highlight:`[5]`,numberOfLines:`8`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`8`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"auth_key\":\"RTydVt3ktSV3mpK\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`3. Set a Firebase user ID token`,children:[_jsxs(_components.p,{children:[`Set a Firebase user ID token using the `,_jsx(_components.code,{children:`firebase_phone[access_token]`}),`.`]}),_jsx(CodeBlock,{filename:``,highlight:`[6]`,numberOfLines:`9`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`9`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"firebase_phone[access_token]\":\"eyJhbGciOiJSUzI1NiIsImtpZCI6Ijc3MTBiMDE3ZmQ5YjcxMWUwMDljNmMzNmIwNzNiOGE2N2NiNjgyMTEiLCJ0eXAiOiJKV1QifQ.eyJpc3MiOiJodHRwczovL3NlY3VyZXRva2VuLmdvb2dsZS5jb20vcXVldWUtZGVtby1jbGllbnQiLCJhdWQiOiJxdWV1ZS1kZW1vLWNsaWVudCIsImF1dGhfdGltZSI6MTYyNjQzMjg5OSwidXNlcl9pZCI6InFhZnNjMHpnOHNVSktvdFJkb1J1eUx1UXdiRjMiLCJzdWIiOiJxYWZzYzB6ZzhzVUpLb3RSZG9SdXlMdVF3YkYzIiwiaWF0IjoxNjI2NDMyOTAwLCJleHAiOjE2MjY0MzY1MDAsInBob25lX251bWJlciI6IiszODA5Mzc2MzcyNTMiLCJmaXJlYmFzZSI6eyJpZGVudGl0aWVzIjp7InBob25lIjpbIiszODA5Mzc2MzcyNTMiXX0sInNpZ25faW5fcHJvdmlkZXIiOiJwaG9uZSJ9fQ.ORDJTSGTicsvAeJ-eUQcDvt5Jv-y1c3HteOlzLApTZZ2C-nJZOB4RFpvoviIQwH53PFANB5iXTHBw1a5XBKROeRYEyu8YLg6RsH0wt5f5_hzGsUisgeFleDrz9i3V7NqkITqz2ADcJrWzwF-YDj5TbzCTlHmgeciiuViVbLqyFSKfyYrvFjM7x1IvJYUNVD3XGIq33128eaqHRuWfiaW5PC9ZdvfdOF5UhNpBx330TfM1FV9gNBQxd3cmxCE-bD1kvHQWLk6z8XKTNWZag718_Gf7MVmhqk-bC_KtwQ7IGVMRjPgCdNbA8H1btIcofD2iUVtzTew4et7leR6ujCAcA\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`4. Set an ID of the Firebase project`,children:[_jsxs(_components.p,{children:[`Set an ID of the Firebase project using the `,_jsx(_components.code,{children:`firebase_phone[project_id]`}),`.`]}),_jsx(CodeBlock,{filename:``,highlight:`[7]`,numberOfLines:`10`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`10`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"firebase_phone[access_token]\":\"eyJhbGciOiJSUzI1NiIsImtpZCI6Ijc3MTBiMDE3ZmQ5YjcxMWUwMDljNmMzNmIwNzNiOGE2N2NiNjgyMTEiLCJ0eXAiOiJKV1QifQ.eyJpc3MiOiJodHRwczovL3NlY3VyZXRva2VuLmdvb2dsZS5jb20vcXVldWUtZGVtby1jbGllbnQiLCJhdWQiOiJxdWV1ZS1kZW1vLWNsaWVudCIsImF1dGhfdGltZSI6MTYyNjQzMjg5OSwidXNlcl9pZCI6InFhZnNjMHpnOHNVSktvdFJkb1J1eUx1UXdiRjMiLCJzdWIiOiJxYWZzYzB6ZzhzVUpLb3RSZG9SdXlMdVF3YkYzIiwiaWF0IjoxNjI2NDMyOTAwLCJleHAiOjE2MjY0MzY1MDAsInBob25lX251bWJlciI6IiszODA5Mzc2MzcyNTMiLCJmaXJlYmFzZSI6eyJpZGVudGl0aWVzIjp7InBob25lIjpbIiszODA5Mzc2MzcyNTMiXX0sInNpZ25faW5fcHJvdmlkZXIiOiJwaG9uZSJ9fQ.ORDJTSGTicsvAeJ-eUQcDvt5Jv-y1c3HteOlzLApTZZ2C-nJZOB4RFpvoviIQwH53PFANB5iXTHBw1a5XBKROeRYEyu8YLg6RsH0wt5f5_hzGsUisgeFleDrz9i3V7NqkITqz2ADcJrWzwF-YDj5TbzCTlHmgeciiuViVbLqyFSKfyYrvFjM7x1IvJYUNVD3XGIq33128eaqHRuWfiaW5PC9ZdvfdOF5UhNpBx330TfM1FV9gNBQxd3cmxCE-bD1kvHQWLk6z8XKTNWZag718_Gf7MVmhqk-bC_KtwQ7IGVMRjPgCdNbA8H1btIcofD2iUVtzTew4et7leR6ujCAcA\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"firebase_phone[project_id]:\"33444545\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`5. Set a nonce`,children:[_jsxs(_components.p,{children:[`Set a `,_jsx(_components.code,{children:`nonce`}),` value which is a unique random number that can’t be sent twice.`]}),_jsx(CodeBlock,{filename:``,highlight:`[8]`,numberOfLines:`11`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`11`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"firebase_phone[access_token]\":\"eyJhbGciOiJSUzI1NiIsImtpZCI6Ijc3MTBiMDE3ZmQ5YjcxMWUwMDljNmMzNmIwNzNiOGE2N2NiNjgyMTEiLCJ0eXAiOiJKV1QifQ.eyJpc3MiOiJodHRwczovL3NlY3VyZXRva2VuLmdvb2dsZS5jb20vcXVldWUtZGVtby1jbGllbnQiLCJhdWQiOiJxdWV1ZS1kZW1vLWNsaWVudCIsImF1dGhfdGltZSI6MTYyNjQzMjg5OSwidXNlcl9pZCI6InFhZnNjMHpnOHNVSktvdFJkb1J1eUx1UXdiRjMiLCJzdWIiOiJxYWZzYzB6ZzhzVUpLb3RSZG9SdXlMdVF3YkYzIiwiaWF0IjoxNjI2NDMyOTAwLCJleHAiOjE2MjY0MzY1MDAsInBob25lX251bWJlciI6IiszODA5Mzc2MzcyNTMiLCJmaXJlYmFzZSI6eyJpZGVudGl0aWVzIjp7InBob25lIjpbIiszODA5Mzc2MzcyNTMiXX0sInNpZ25faW5fcHJvdmlkZXIiOiJwaG9uZSJ9fQ.ORDJTSGTicsvAeJ-eUQcDvt5Jv-y1c3HteOlzLApTZZ2C-nJZOB4RFpvoviIQwH53PFANB5iXTHBw1a5XBKROeRYEyu8YLg6RsH0wt5f5_hzGsUisgeFleDrz9i3V7NqkITqz2ADcJrWzwF-YDj5TbzCTlHmgeciiuViVbLqyFSKfyYrvFjM7x1IvJYUNVD3XGIq33128eaqHRuWfiaW5PC9ZdvfdOF5UhNpBx330TfM1FV9gNBQxd3cmxCE-bD1kvHQWLk6z8XKTNWZag718_Gf7MVmhqk-bC_KtwQ7IGVMRjPgCdNbA8H1btIcofD2iUVtzTew4et7leR6ujCAcA\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"firebase_phone[project_id]:\"33444545\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"nonce\":\"9823\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`6. Set a social network provider`,children:[_jsxs(_components.p,{children:[`Use a `,_jsx(_components.code,{children:`provider`}),` param to set a social network provider.`]}),_jsx(CodeBlock,{filename:``,highlight:`[9]`,numberOfLines:`12`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`12`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"firebase_phone[access_token]\":\"eyJhbGciOiJSUzI1NiIsImtpZCI6Ijc3MTBiMDE3ZmQ5YjcxMWUwMDljNmMzNmIwNzNiOGE2N2NiNjgyMTEiLCJ0eXAiOiJKV1QifQ.eyJpc3MiOiJodHRwczovL3NlY3VyZXRva2VuLmdvb2dsZS5jb20vcXVldWUtZGVtby1jbGllbnQiLCJhdWQiOiJxdWV1ZS1kZW1vLWNsaWVudCIsImF1dGhfdGltZSI6MTYyNjQzMjg5OSwidXNlcl9pZCI6InFhZnNjMHpnOHNVSktvdFJkb1J1eUx1UXdiRjMiLCJzdWIiOiJxYWZzYzB6ZzhzVUpLb3RSZG9SdXlMdVF3YkYzIiwiaWF0IjoxNjI2NDMyOTAwLCJleHAiOjE2MjY0MzY1MDAsInBob25lX251bWJlciI6IiszODA5Mzc2MzcyNTMiLCJmaXJlYmFzZSI6eyJpZGVudGl0aWVzIjp7InBob25lIjpbIiszODA5Mzc2MzcyNTMiXX0sInNpZ25faW5fcHJvdmlkZXIiOiJwaG9uZSJ9fQ.ORDJTSGTicsvAeJ-eUQcDvt5Jv-y1c3HteOlzLApTZZ2C-nJZOB4RFpvoviIQwH53PFANB5iXTHBw1a5XBKROeRYEyu8YLg6RsH0wt5f5_hzGsUisgeFleDrz9i3V7NqkITqz2ADcJrWzwF-YDj5TbzCTlHmgeciiuViVbLqyFSKfyYrvFjM7x1IvJYUNVD3XGIq33128eaqHRuWfiaW5PC9ZdvfdOF5UhNpBx330TfM1FV9gNBQxd3cmxCE-bD1kvHQWLk6z8XKTNWZag718_Gf7MVmhqk-bC_KtwQ7IGVMRjPgCdNbA8H1btIcofD2iUVtzTew4et7leR6ujCAcA\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"firebase_phone[project_id]:\"33444545\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"nonce\":\"9823\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"provider\":\"firebase_phone\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`7. Set a signature`,children:[_jsxs(_components.p,{children:[`Generate a `,_jsx(_components.code,{children:`signature`}),` value. Use `,_jsx(_components.a,{href:`/reference/authentication#signature-generation`,children:`this guide`}),` to learn how to generate a signature.`]}),_jsx(CodeBlock,{filename:``,highlight:`[10]`,numberOfLines:`13`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`13`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"firebase_phone[access_token]\":\"eyJhbGciOiJSUzI1NiIsImtpZCI6Ijc3MTBiMDE3ZmQ5YjcxMWUwMDljNmMzNmIwNzNiOGE2N2NiNjgyMTEiLCJ0eXAiOiJKV1QifQ.eyJpc3MiOiJodHRwczovL3NlY3VyZXRva2VuLmdvb2dsZS5jb20vcXVldWUtZGVtby1jbGllbnQiLCJhdWQiOiJxdWV1ZS1kZW1vLWNsaWVudCIsImF1dGhfdGltZSI6MTYyNjQzMjg5OSwidXNlcl9pZCI6InFhZnNjMHpnOHNVSktvdFJkb1J1eUx1UXdiRjMiLCJzdWIiOiJxYWZzYzB6ZzhzVUpLb3RSZG9SdXlMdVF3YkYzIiwiaWF0IjoxNjI2NDMyOTAwLCJleHAiOjE2MjY0MzY1MDAsInBob25lX251bWJlciI6IiszODA5Mzc2MzcyNTMiLCJmaXJlYmFzZSI6eyJpZGVudGl0aWVzIjp7InBob25lIjpbIiszODA5Mzc2MzcyNTMiXX0sInNpZ25faW5fcHJvdmlkZXIiOiJwaG9uZSJ9fQ.ORDJTSGTicsvAeJ-eUQcDvt5Jv-y1c3HteOlzLApTZZ2C-nJZOB4RFpvoviIQwH53PFANB5iXTHBw1a5XBKROeRYEyu8YLg6RsH0wt5f5_hzGsUisgeFleDrz9i3V7NqkITqz2ADcJrWzwF-YDj5TbzCTlHmgeciiuViVbLqyFSKfyYrvFjM7x1IvJYUNVD3XGIq33128eaqHRuWfiaW5PC9ZdvfdOF5UhNpBx330TfM1FV9gNBQxd3cmxCE-bD1kvHQWLk6z8XKTNWZag718_Gf7MVmhqk-bC_KtwQ7IGVMRjPgCdNbA8H1btIcofD2iUVtzTew4et7leR6ujCAcA\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"firebase_phone[project_id]:\"33444545\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"nonce\":\"9823\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"provider\":\"firebase_phone\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"signature\":\"5277a30edf002d59318ecec2cf3ab17c4bbd3bee\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsxs(Step,{title:`8. Set a timestamp`,children:[_jsxs(_components.p,{children:[`Get a `,_jsx(_components.code,{children:`timestamp`}),` value in the Unix Timestamp.`]}),_jsx(CodeBlock,{filename:``,highlight:`[11]`,numberOfLines:`14`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`14`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`curl -X POST \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-H \"Content-Type: application/json\" \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`-d '{ `})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"firebase_phone[access_token]\":\"eyJhbGciOiJSUzI1NiIsImtpZCI6Ijc3MTBiMDE3ZmQ5YjcxMWUwMDljNmMzNmIwNzNiOGE2N2NiNjgyMTEiLCJ0eXAiOiJKV1QifQ.eyJpc3MiOiJodHRwczovL3NlY3VyZXRva2VuLmdvb2dsZS5jb20vcXVldWUtZGVtby1jbGllbnQiLCJhdWQiOiJxdWV1ZS1kZW1vLWNsaWVudCIsImF1dGhfdGltZSI6MTYyNjQzMjg5OSwidXNlcl9pZCI6InFhZnNjMHpnOHNVSktvdFJkb1J1eUx1UXdiRjMiLCJzdWIiOiJxYWZzYzB6ZzhzVUpLb3RSZG9SdXlMdVF3YkYzIiwiaWF0IjoxNjI2NDMyOTAwLCJleHAiOjE2MjY0MzY1MDAsInBob25lX251bWJlciI6IiszODA5Mzc2MzcyNTMiLCJmaXJlYmFzZSI6eyJpZGVudGl0aWVzIjp7InBob25lIjpbIiszODA5Mzc2MzcyNTMiXX0sInNpZ25faW5fcHJvdmlkZXIiOiJwaG9uZSJ9fQ.ORDJTSGTicsvAeJ-eUQcDvt5Jv-y1c3HteOlzLApTZZ2C-nJZOB4RFpvoviIQwH53PFANB5iXTHBw1a5XBKROeRYEyu8YLg6RsH0wt5f5_hzGsUisgeFleDrz9i3V7NqkITqz2ADcJrWzwF-YDj5TbzCTlHmgeciiuViVbLqyFSKfyYrvFjM7x1IvJYUNVD3XGIq33128eaqHRuWfiaW5PC9ZdvfdOF5UhNpBx330TfM1FV9gNBQxd3cmxCE-bD1kvHQWLk6z8XKTNWZag718_Gf7MVmhqk-bC_KtwQ7IGVMRjPgCdNbA8H1btIcofD2iUVtzTew4et7leR6ujCAcA\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"firebase_phone[project_id]:\"33444545\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"nonce\":\"9823\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"provider\":\"firebase_phone\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:` \"signature\":\"5277a30edf002d59318ecec2cf3ab17c4bbd3bee\",`})}),`\n`,_jsx(_components.span,{className:`line line-highlight`,children:_jsx(_components.span,{children:` \"timestamp\":\"1626433392\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`}' \\\\`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://api.quickblox.com/session.json`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]}),_jsx(Step,{title:`9. As a result, the API returns a newly created user session.`})]})})]}),`\n`,_jsxs(_components.p,{children:[`Learn more about QuickBlox session token in the `,_jsx(_components.a,{href:`/reference/authentication#application-vs-user-session-token`,children:`Application vs User session token`}),` section.`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`Application session`})}),`\n`,_jsxs(_components.p,{children:[`To create an application session you need to pass the required parameters `,_jsx(_components.strong,{children:`only`}),`.`]}),`\n`,_jsx(_components.p,{children:_jsx(_components.strong,{children:`User session`})}),`\n`,_jsx(_components.p,{children:`To create a user session you need to pass extra parameters together with the required parameters. Take a look at five types of user authentication and their respective extra parameters below:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[`Login and password. `,_jsx(_components.code,{children:`user[login]`}),` and `,_jsx(_components.code,{children:`user[password]`}),`.`]}),`\n`,_jsxs(_components.li,{children:[`Email and password. `,_jsx(_components.code,{children:`user[email]`}),` and `,_jsx(_components.code,{children:`user[password]`}),`.`]}),`\n`,_jsxs(_components.li,{children:[`Social. `,_jsx(_components.code,{children:`provider=facebook`}),`, `,_jsx(_components.code,{children:`keys[token]`}),`, and `,_jsx(_components.code,{children:`keys[secret]`}),` .`]}),`\n`,_jsxs(_components.li,{children:[`Firebase phone number. `,_jsx(_components.code,{children:`provider=firebase_phone`}),`, `,_jsx(_components.code,{children:`firebase_phone[project_id]`}),`, and `,_jsx(_components.code,{children:`firebase_phone[access_token]`}),`.`]}),`\n`,_jsxs(_components.li,{children:[`Custom identity provider. `,_jsx(_components.code,{children:`user[login]`}),` and `,_jsx(_components.code,{children:`user[password]`}),`. Learn more about custom identity provider authentication from `,_jsx(_components.a,{href:`/docs/custom-identity-provider`,children:`our guide`}),`.`]}),`\n`]}),`\n`,_jsx(Heading,{level:`4`,id:`body-parameters`,children:`Body Parameters`}),`\n`,_jsx(ParamField,{body:`application_id`,type:`string`,required:true,id:`param-application-id`,children:` Application identifier. `}),`\n`,_jsx(ParamField,{body:`auth_key`,type:`string`,required:true,id:`param-auth-key`,children:` Authorization Key. `}),`\n`,_jsx(ParamField,{body:`timestamp`,type:`string`,required:true,id:`param-timestamp`,children:` Unix Timestamp. It should not differ from the time provided by NTP more than 60 minutes. We suggest you synchronize time on your devices with NTP service. `}),`\n`,_jsx(ParamField,{body:`nonce`,type:`string`,required:true,id:`param-nonce`,children:` Unique Random Value. Requests with the same timestamp and same value for nonce parameter can not be sent twice. `}),`\n`,_jsxs(ParamField,{body:`signature`,type:`string`,required:true,id:`param-signature`,children:[` Cryptographic hash. Follow a `,_jsx(_components.a,{href:`/reference/authentication#signature-generation`,children:`signature generation guide`}),` to learn how to generate a signature. `]}),`\n`,_jsx(ParamField,{body:`user`,type:`object`,id:`param-user`,children:_jsx(Expandable,{title:`properties`,children:_jsxs(_components.p,{children:[_jsx(ParamField,{body:`login`,type:`string`,children:` User login. `}),_jsx(_components.br,{}),`\n`,_jsx(ParamField,{body:`email`,type:`string`,children:` User email. `}),_jsx(_components.br,{}),`\n`,_jsx(ParamField,{body:`password`,type:`string`,children:` User password. `})]})})}),`\n`,_jsx(ParamField,{body:`provider`,type:`string`,id:`param-provider`,children:` Possible values: facebook, firebase_phone `}),`\n`,_jsx(ParamField,{body:`keys`,type:`object`,id:`param-keys`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`token`,type:`string`,id:`param-token`,children:` Social network provider access token. `}),_jsx(ParamField,{body:`secret`,type:`string`,id:`param-secret`,children:` Social network provider access token secret. `})]})}),`\n`,_jsx(ParamField,{body:`firebase_phone`,type:`object`,id:`param-firebase-phone`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ParamField,{body:`project_id`,type:`string`,id:`param-project-id`,children:` A unique identifier for your Firebase project. `}),_jsx(ParamField,{body:`access_token`,type:`string`,id:`param-access-token`,children:` Firebase user’s ID token. `})]})}),`\n`,_jsx(Heading,{level:`4`,id:`responses`,children:`Responses`}),`\n`,_jsxs(AccordionGroup,{children:[_jsxs(Accordion,{title:`200`,id:`200`,children:[_jsx(_components.p,{children:`A successful response`}),_jsx(ResponseField,{name:`session`,type:`object`,id:`param-session`,children:_jsxs(Expandable,{title:`properties`,children:[_jsx(ResponseField,{name:`application_id`,type:`integer`,id:`param-application-id-1`}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at`}),_jsx(ResponseField,{name:`id`,type:`integer`,id:`param-id`}),_jsx(ResponseField,{name:`nonce`,type:`integer`,id:`param-nonce-1`}),_jsx(ResponseField,{name:`token`,type:`string`,id:`param-token-1`}),_jsx(ResponseField,{name:`ts`,type:`integer`,id:`param-ts`}),_jsx(ResponseField,{name:`updated_at`,type:`string`,id:`param-updated-at`}),_jsx(ResponseField,{name:`user_id`,type:`integer`,id:`param-user-id`}),_jsx(ResponseField,{name:`_id`,type:`string`,id:`param-id-1`})]})})]}),_jsxs(Accordion,{title:`401`,id:`401`,children:[_jsx(_components.p,{children:`An error response`}),_jsx(ResponseField,{name:`errors`,type:`array of strings`,id:`param-errors`})]}),_jsxs(Accordion,{title:`422`,id:`422`,children:[_jsx(_components.p,{children:`An error response`}),_jsx(ResponseField,{name:`errors`,type:`object`,id:`param-errors-1`,children:_jsx(Expandable,{title:`properties`,children:_jsx(ResponseField,{name:`base`,type:`array of strings`,id:`param-base`})})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Session","api":"POST https://api.quickblox.com/session.json","contentType":"application/json","description":"Creates an application or user session.","playground":"simple","href":"/reference/create-session"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[380,389,"questExample,ResponseExample,ResponseFie"],[750,762,"questExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)"],[48052,48480,",`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`10`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`10`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Content-Type: application/json\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-d `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'{ `})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"application_id\":\"76730\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"auth_key\":\"7quWEh-k6TqghXe\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"timestamp\":\"1567349756\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"nonce\":\"7334\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"signature\":\"e6e603c251a569e70a2f27a8c71b5017e81e05d5\"`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`https://api.quickblox.com/session.json`})}),`\n`]})})})}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`201`,numberOfLines:`13`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`13`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"session\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"application_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`76730`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2019-09-01T14:55:56Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1151827623`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"nonce\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`7334`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"token\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"c56f382b402fb482086db956064592d3cd012bba\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ts\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1567349756`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2019-09-01T14:55:56Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"user_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1151827623\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`401`,numberOfLines:`5`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errors\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Unauthorized\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`422`,numberOfLines:`7`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`7`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"errors\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"base\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Unexpected signature\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}"]]},"mdxExtracts":{"tableOfContents":[{"title":"Recipes","slug":"recipes","depth":4,"children":[]},{"title":"Body Parameters","slug":"body-parameters","depth":4,"children":[]},{"title":"Responses","slug":"responses","depth":4,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"10\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -X\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> POST\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">-H \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Content-Type: application/json\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">-d \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'{ \u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"application_id\":\"76730\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"auth_key\":\"7quWEh-k6TqghXe\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"timestamp\":\"1567349756\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"nonce\":\"7334\",\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"signature\":\"e6e603c251a569e70a2f27a8c71b5017e81e05d5\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">}'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">https://api.quickblox.com/session.json\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"201","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"13\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"session\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"application_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">76730\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"created_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2019-09-01T14:55:56Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1151827623\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"nonce\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">7334\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"token\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"c56f382b402fb482086db956064592d3cd012bba\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"ts\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1567349756\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"updated_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2019-09-01T14:55:56Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"user_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">0\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"1151827623\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"401","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"5\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"errors\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Unauthorized\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"},{"filename":"422","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"7\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"errors\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"base\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Unexpected signature\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Create Session","path":"/session.json","servers":[{"url":"https://api.quickblox.com"}],"method":"post","request":{"security":[],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"application_id":[{"type":"string","description":"Application identifier.","required":true}],"auth_key":[{"type":"string","description":"Authorization Key.","required":true}],"timestamp":[{"type":"string","description":"Unix Timestamp. It should not differ from the time provided by NTP more than 60 minutes. We suggest you synchronize time on your devices with NTP service.","required":true}],"nonce":[{"type":"string","description":"Unique Random Value. Requests with the same timestamp and same value for nonce parameter can not be sent twice.","required":true}],"signature":[{"type":"string","description":"Cryptographic hash. Follow a signature generation guide to learn how to generate a signature.","required":true}],"user":[{"type":"object","properties":{}}],"provider":[{"type":"string","description":"Possible values: facebook, firebase_phone"}],"keys":[{"type":"object","properties":{"token":[{"type":"string","description":"Social network provider access token."}],"secret":[{"type":"string","description":"Social network provider access token secret."}]}}],"firebase_phone":[{"type":"object","properties":{"project_id":[{"type":"string","description":"A unique identifier for your Firebase project."}],"access_token":[{"type":"string","description":"Firebase user’s ID token."}]}}]}}],"examples":{"example":{"value":{"application_id":"\u003cstring>","auth_key":"\u003cstring>","timestamp":"\u003cstring>","nonce":"\u003cstring>","signature":"\u003cstring>","user":{},"provider":"\u003cstring>","keys":{"token":"\u003cstring>","secret":"\u003cstring>"},"firebase_phone":{"project_id":"\u003cstring>","access_token":"\u003cstring>"}}}}}}},"response":{},"deprecated":false}},"jsLinks":[],"subdomain":"quickblox","siteName":"QuickBlox","title":"Create Session - QuickBlox","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-10-09T15:39:36.015Z","originalFileLocation":"reference/create-session.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates an application or user session.\">\u003cmeta data-mint-head name=\"application-name\" content=\"QuickBlox\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Session - QuickBlox\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates an application or user session.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"QuickBlox\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.quickblox.com/reference/create-session\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://quickblox.mintlify.app/_mintlify/api/og/v2?division=Authentication\u0026amp;title=Create+Session\u0026amp;description=Creates+an+application+or+user+session.\u0026amp;theme=5ff450e9301b53695b58d9b0\u0026amp;signature=3aab87a965b0c4f8fb6b4298eb28125ad195a4da8ab1caa26c55afc4fe213d50\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Session - QuickBlox\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates an application or user session.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://quickblox.mintlify.app/_mintlify/api/og/v2?division=Authentication\u0026amp;title=Create+Session\u0026amp;description=Creates+an+application+or+user+session.\u0026amp;theme=5ff450e9301b53695b58d9b0\u0026amp;signature=3aab87a965b0c4f8fb6b4298eb28125ad195a4da8ab1caa26c55afc4fe213d50\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/quickblox/xsijdUMkGjrzOYFW/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"QuickBlox\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3978fc\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.quickblox.com/reference/create-session\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/create-session.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.quickblox.com/#organization\",\"name\":\"QuickBlox\",\"url\":\"https://docs.quickblox.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/quickblox/ZK0J4-dDJuuhpUQu/logo/light.svg?fit=max\u0026auto=format\u0026n=ZK0J4-dDJuuhpUQu\u0026q=85\u0026s=2ca77d61090cf3e9a7512358a3ad30b1\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.quickblox.com#website\",\"name\":\"QuickBlox\",\"url\":\"https://docs.quickblox.com\",\"publisher\":{\"@id\":\"https://docs.quickblox.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.quickblox.com/reference/create-session#webpage\",\"url\":\"https://docs.quickblox.com/reference/create-session\",\"name\":\"Create Session\",\"description\":\"Creates an application or user session.\",\"dateModified\":\"2025-10-09T15:39:36.015Z\",\"isPartOf\":{\"@id\":\"https://docs.quickblox.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.quickblox.com/reference/create-session#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.quickblox.com/reference/create-session#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"REST API\",\"item\":\"https://docs.quickblox.com/reference/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Authentication\",\"item\":\"https://docs.quickblox.com/reference/authentication\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create Session\",\"item\":\"https://docs.quickblox.com/reference/create-session\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.quickblox.com/reference/create-session#apireference\",\"headline\":\"Create Session\",\"name\":\"Create Session\",\"description\":\"Creates an application or user session.\",\"url\":\"https://docs.quickblox.com/reference/create-session\",\"mainEntityOfPage\":{\"@id\":\"https://docs.quickblox.com/reference/create-session#webpage\"},\"dateModified\":\"2025-10-09T15:39:36.015Z\",\"publisher\":{\"@id\":\"https://docs.quickblox.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.quickblox.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"QuickBlox\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"QuickBlox","nav":{"global":{"anchors":[{"anchor":"SDK Downloads","icon":"webhook","href":"https://github.com/QuickBlox"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/ZWZ3WpYZ9q"},{"anchor":"Blog","icon":"newspaper","href":"https://quickblox.com/blog/"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/docs/quickstart"}]},{"tab":"Server API","groups":[{"group":"REST API","pages":[{"title":"Overview","icon":"circle-info","href":"/reference/overview"},{"title":"Limits","mode":"wide","icon":"traffic-light-stop","href":"/reference/limits"},{"title":"Errors","mode":"wide","icon":"triangle-exclamation","href":"/reference/errors"},{"title":"Get Account Settings","api":"GET https://api.quickblox.com/account_settings.json","playground":"simple","href":"/reference/get-account-settings"},{"group":"Authentication","icon":"lock","pages":[{"title":"Authentication","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/authentication"},{"title":"Session Model","mode":"wide","icon":"key","description":null,"href":"/reference/session-model"},{"title":"Create Session","api":"POST https://api.quickblox.com/session.json","playground":"simple","href":"/reference/create-session"},{"title":"Get Session","api":"GET https://api.quickblox.com/session.json","description":"Gets information about a current session.","playground":"simple","href":"/reference/get-session"},{"title":"Log In","api":"POST https://api.quickblox.com/login.json","playground":"simple","href":"/reference/log-in"},{"title":"Log Out","api":"DELETE https://api.quickblox.com/login.json","playground":"simple","href":"/reference/log-out"},{"title":"Delete Session","api":"DELETE https://api.quickblox.com/session.json","playground":"simple","href":"/reference/delete-session"}]},{"group":"Users","icon":"user","pages":[{"title":"Users","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/users"},{"title":"User Model","mode":"wide","icon":"user","href":"/reference/user-model"},{"title":"Create User","api":"POST https://api.quickblox.com/users.json","playground":"simple","href":"/reference/create-user"},{"title":"Create Token with API key","api":"POST https://api.quickblox.com/users/{user_id}/tokens","playground":"simple","href":"/reference/create-token-with-api-key"},{"title":"Delete Token with API key","api":"DELETE https://api.quickblox.com/users/{user_id}/tokens/{token}","playground":"simple","href":"/reference/delete-token-with-api-key"},{"title":"Flush Tokens with API key","api":"DELETE https://api.quickblox.com/users/{user_id}/tokens","playground":"simple","href":"/reference/flush-tokens-with-api-key"},{"title":"List Users","api":"GET https://api.quickblox.com/users.json","playground":"simple","href":"/reference/list-users"},{"title":"List Users by Full Name","api":"GET https://api.quickblox.com/users/by_full_name.json","playground":"simple","href":"/reference/list-users-by-full-name"},{"title":"List Users by Tags","api":"GET https://api.quickblox.com/users/by_tags.json","playground":"simple","href":"/reference/list-users-by-tags"},{"title":"Get User by ID","api":"GET https://api.quickblox.com/users/{user_id}.json","playground":"simple","href":"/reference/get-user-by-id"},{"title":"Get User by Login","api":"GET https://api.quickblox.com/users/by_login.json","playground":"simple","href":"/reference/get-user-by-login"},{"title":"Get User by Facebook ID","api":"GET https://api.quickblox.com/users/by_facebook_id.json","playground":"simple","href":"/reference/get-user-by-facebook"},{"title":"Get User by Email","api":"GET https://api.quickblox.com/users/by_email.json","playground":"simple","href":"/reference/get-user-by-email"},{"title":"Get User by External User ID","api":"GET https://api.quickblox.com/users/external/{external_user_id}.json","playground":"simple","href":"/reference/get-user-by-external-user-id"},{"title":"Update User","api":"PUT https://api.quickblox.com/users/{user_id}.json","playground":"simple","href":"/reference/update-user"},{"title":"Delete User by ID","api":"DELETE https://api.quickblox.com/users/{user_id}.json","playground":"simple","href":"/reference/delete-user"},{"title":"Delete User by External ID","api":"DELETE https://api.quickblox.com/users/external/{external_user_id}.json","playground":"simple","href":"/reference/delete-user-by-external-id"},{"title":"Reset User Password","api":"GET https://api.quickblox.com/users/password/reset.json","playground":"simple","href":"/reference/reset-user-password"}]},{"group":"Chat","icon":"messages","pages":[{"title":"Chat","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/chat"},{"title":"Dialog Model","mode":"wide","icon":"messages","href":"/reference/dialog-model"},{"title":"Create Dialog","api":"POST https://api.quickblox.com/chat/Dialog.json","playground":"simple","href":"/reference/create-dialog"},{"title":"List Dialogs","api":"GET https://api.quickblox.com/chat/Dialog.json","playground":"simple","href":"/reference/list-dialogs"},{"title":"Get Dialog by ID","api":"GET https://api.quickblox.com/chat/Dialog/{chat_dialog_id}.json","playground":"simple","href":"/reference/get-dialog-by-id"},{"title":"Update Dialog","api":"PUT https://api.quickblox.com/chat/Dialog/{chat_dialog_id}.json","playground":"simple","href":"/reference/update-dialog"},{"title":"Delete Dialog","api":"DELETE https://api.quickblox.com/chat/Dialog/{chat_dialog_id},{chat_dialog_id}.json","playground":"simple","href":"/reference/delete-dialog"},{"title":"Get Notification Settings","api":"GET https://api.quickblox.com/chat/Dialog/{chat_dialog_id}/notifications.json","playground":"simple","href":"/reference/get-notification-settings"},{"title":"Update Notification Settings","api":"PUT https://api.quickblox.com/chat/Dialog/{chat_dialog_id}/notifications.json","playground":"simple","href":"/reference/update-notification-settings"},{"title":"Message Model","mode":"wide","icon":"message","href":"/reference/messages"},{"title":"Create Message","api":"POST https://api.quickblox.com/chat/Message.json","playground":"simple","href":"/reference/create-message"},{"title":"List Messages","api":"GET https://api.quickblox.com/chat/Message.json","playground":"simple","href":"/reference/list-messages"},{"title":"Get Message by ID","api":"GET https://api.quickblox.com/chat/Message/{chat_message_id}","playground":"simple","href":"/reference/get-message-by-id"},{"title":"Update Message","api":"PUT https://api.quickblox.com/chat/Message/{chat_message_id}.json","playground":"simple","href":"/reference/update-message"},{"title":"Mark All Messages as Delivered","api":"PATCH https://api.quickblox.com/chat/Message/delivered.json","playground":"simple","href":"/reference/mark-all-messages-as-delivered"},{"title":"Mark All Messages as Read","api":"PATCH https://api.quickblox.com/chat/Message/read.json","playground":"simple","href":"/reference/mark-all-messages-as-read"},{"title":"Delete Message","api":"DELETE https://api.quickblox.com/chat/Message/{chat_message_id},{chat_message_id}.json","playground":"simple","href":"/reference/delete-message"},{"title":"Get Unread Messages Count","api":"GET https://api.quickblox.com/chat/Message/unread.json","playground":"simple","href":"/reference/get-unread-message-count"},{"title":"Reaction Model","mode":"wide","icon":"thumbs-up","href":"/reference/reaction-model"},{"title":"Add Reaction","api":"POST https://api.quickblox.com/chat/Message/{chat_message_id}/reactions","playground":"simple","href":"/reference/add-reaction"},{"title":"List Reactions","api":"GET https://api.quickblox.com/chat/Message/{chat_message_id}/reactions","playground":"simple","href":"/reference/list-reactions"},{"title":"Remove Reaction","api":"DELETE https://api.quickblox.com/chat/Message/{chat_message_id}/reactions","playground":"simple","href":"/reference/remove-reaction"}]},{"group":"Content","icon":"file","pages":[{"title":"Content","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/content"},{"title":"Blob Model","mode":"wide","icon":"folder-open","href":"/reference/blob-model"},{"title":"Create File","api":"POST https://api.quickblox.com/blobs.json","playground":"simple","href":"/reference/create-file"},{"title":"List Files","api":"GET https://api.quickblox.com/blobs.json","playground":"simple","href":"/reference/list-files"},{"title":"Upload File","api":"POST https://api.quickblox.com/blobs/{blob_id}/upload.json","playground":"simple","href":"/reference/upload-file"},{"title":"Mark File Uploaded","api":"PUT https://api.quickblox.com/blobs/{blob_id}/complete.json","playground":"simple","href":"/reference/mark-file-uploaded"},{"title":"Get File by ID","api":"GET https://api.quickblox.com/blobs/{blob_id}.json","playground":"simple","href":"/reference/get-file-by-id"},{"title":"Download File by UID","api":"GET https://api.quickblox.com/blobs/{blob_uid}/download.json","playground":"simple","href":"/reference/download-file-by-uid"},{"title":"Update File","api":"PUT https://api.quickblox.com/blobs/{blob_id}.json","playground":"simple","href":"/reference/update-file"},{"title":"Delete File","api":"DELETE https://api.quickblox.com/blobs/{blob_id}.json","playground":"simple","href":"/reference/delete-file"}]},{"group":"Push Notifications","icon":"bell","pages":[{"title":"Push Notifications","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/push-notifications"},{"title":"Subscription Model","mode":"wide","icon":"recycle","href":"/reference/subscription-model"},{"title":"Create Subscription","api":"POST https://api.quickblox.com/subscriptions.json","playground":"simple","href":"/reference/create-subscription"},{"title":"List Subscriptions","api":"GET https://api.quickblox.com/subscriptions.json","playground":"simple","href":"/reference/list-subscriptions"},{"title":"Delete Subscription","api":"DELETE https://api.quickblox.com/subscriptions/{subscription_id}.json","playground":"simple","href":"/reference/delete-subscription"},{"title":"Event Model","mode":"wide","icon":"calendar-days","href":"/reference/events"},{"title":"Create Event","api":"POST https://api.quickblox.com/events.json","playground":"simple","href":"/reference/create-event"},{"title":"List Events","api":"GET https://api.quickblox.com/events.json","playground":"simple","href":"/reference/list-events"},{"title":"Get Event by ID","api":"GET https://api.quickblox.com/events/{event_id}.json","playground":"simple","href":"/reference/get-event-by-id"},{"title":"Update Event","api":"PUT https://api.quickblox.com/events/{event_id}.json","playground":"simple","href":"/reference/update-event"},{"title":"Delete Event","api":"DELETE https://api.quickblox.com/events/{event_id}.json","playground":"simple","href":"/reference/delete-event"},{"title":"Push Notification Formats","icon":"bell","href":"/reference/push-notification-formats"}]},{"group":"Custom Objects","icon":"database","pages":[{"title":"Custom Objects","mode":"wide","sidebarTitle":"Overview","icon":"circle-info","href":"/reference/custom-objects"},{"title":"Dashboard","mode":"wide","icon":"gauge","href":"/reference/dashboard"},{"title":"Relations","mode":"wide","icon":"heart","href":"/reference/relations"},{"title":"Permissions","icon":"triangle-instrument","href":"/reference/permissions"},{"title":"Class Model","mode":"wide","icon":"rectangle-code","href":"/reference/class-model"},{"title":"Create Class","api":"POST https://api.quickblox.com/class.json","playground":"simple","href":"/reference/create-class"},{"title":"Record Model","mode":"wide","icon":"rectangle-code","href":"/reference/record-model"},{"title":"Create Record","api":"POST https://api.quickblox.com/data/{class_name}.json","playground":"simple","href":"/reference/create-record"},{"title":"Create Child Record","api":"POST https://api.quickblox.com/data/{class_name}/{parent_id}/{child_name}","playground":"simple","href":"/reference/create-child-record"},{"title":"Create Multi Records","api":"POST https://api.quickblox.com/data/{class_name}/multi.json","playground":"simple","href":"/reference/create-multi-records"},{"title":"List Records","api":"GET https://api.quickblox.com/data/{class_name}.json","playground":"simple","href":"/reference/list-records"},{"title":"List Records by IDs","api":"GET https://api.quickblox.com/data/{class_name}/{custom_object_record_id},{custom_object_record_id}.json","playground":"simple","href":"/reference/list-records-by-ids"},{"title":"Update Record","api":"PUT https://api.quickblox.com/data/{class_name}/{custom_object_record_id}.json","playground":"simple","href":"/reference/update-record"},{"title":"Update Records by Criteria","api":"PUT https://api.quickblox.com/data/{class_name}/by_criteria.json","playground":"simple","href":"/reference/update-records-by-criteria"},{"title":"Update Multi Records","api":"PUT https://api.quickblox.com/data/{class_name}/multi.json","playground":"simple","href":"/reference/update-multi-records"},{"title":"Delete Records","api":"DELETE https://api.quickblox.com/data/{class_name}/{custom_object_record_id},{custom_object_record_id}.json","playground":"simple","href":"/reference/delete-records"},{"title":"Delete Records by Criteria","api":"DELETE https://api.quickblox.com/data/{class_name}/by_criteria.json","playground":"simple","href":"/reference/delete-records-by-criteria"},{"title":"File Model","mode":"wide","icon":"file-code","href":"/reference/file-model"},{"title":"Upload/Update File","api":"POST https://api.quickblox.com/data/{class_name}/{custom_object_record_id}/file.json","playground":"simple","href":"/reference/upload-update-file"},{"title":"Download File","api":"GET https://api.quickblox.com/data/{class_name}/{custom_object_record_id}/file.json","playground":"simple","href":"/reference/download-file"},{"title":"Delete File","api":"DELETE https://api.quickblox.com/data/{class_name}/{custom_object_record_id}/file.json","playground":"simple","href":"/reference/custom-objects-delete-file"},{"title":"Tips and Tricks","icon":"lightbulb","href":"/reference/tips-and-tricks"}]},{"group":"Address Book","icon":"address-book","pages":[{"title":"Address Book","sidebarTitle":"Overview","mode":"wide","icon":"circle-info","href":"/reference/address-book"},{"title":"Contact Model","mode":"wide","icon":"address-book","href":"/reference/contact-model"},{"title":"Upload Address Book","api":"POST https://api.quickblox.com/address_book.json","playground":"simple","href":"/reference/upload-address-book"},{"title":"Get Address Book","api":"GET https://api.quickblox.com/a
[...]
